Ask Your Question
0

devstack installation failed on ubuntu 14.04

asked 2017-03-09 11:51:49 -0500

hanuman gravatar image

updated 2017-03-09 23:26:48 -0500

Hi..

I am trying to install openstack via devstack on my ubuntu 14.04 desktop.But my installation is failing at below point.

I have tried all possible ways to rectify But left with no success.

As i am very much newbee to this domain . any help in this regard will definitely count more for me.

Thanks

9fe2ff9ee4384b1894a90878d3e92bab because it does not exist.
2017-03-02 11:34:16.091 | +./stack.sh:main:1059                      create_keystone_accounts
2017-03-02 11:34:16.097 | +lib/keystone:create_keystone_accounts:383  local admin_project
2017-03-02 11:34:16.104 | ++lib/keystone:create_keystone_accounts:384  openstack project show admin -f value -c id
2017-03-02 11:34:17.666 | ****Discovering versions from the identity service failed when creating the password plugin. Attempting to determine version from URL.****
2017-03-02 11:34:17.666 | Could not determine a suitable URL for the plugin
2017-03-02 11:34:17.714 | +lib/keystone:create_keystone_accounts:384  admin_project=
2017-03-02 11:34:17.719 | +lib/keystone:create_keystone_accounts:1   exit_trap
2017-03-02 11:34:17.723 | +./stack.sh:exit_trap:487                  local r=1
2017-03-02 11:34:17.729 | ++./stack.sh:exit_trap:488                  jobs -p
2017-03-02 11:34:17.733 | +./stack.sh:exit_trap:488                  jobs=
2017-03-02 11:34:17.738 | +./stack.sh:exit_trap:491                  [[ -n '' ]]
2017-03-02 11:34:17.742 | +./stack.sh:exit_trap:497                  kill_spinner
2017-03-02 11:34:17.746 | +./stack.sh:kill_spinner:383               '[' '!' -z '' ']'
2017-03-02 11:34:17.750 | +./stack.sh:exit_trap:499                  [[ 1 -ne 0 ]]
2017-03-02 11:34:17.754 | +./stack.sh:exit_trap:500                  echo 'Error on exit'
2017-03-02 11:34:17.755 | Error on exit
2017-03-02 11:34:17.758 | +./stack.sh:exit_trap:501                  generate-subunit 1488454147 310 fail
2017-03-02 11:34:18.171 | +./stack.sh:exit_trap:502                  [[ -z /opt/stack/logs ]]
2017-03-02 11:34:18.177 | +./stack.sh:exit_trap:505                  /home/stack/devstack/tools/worlddump.py -d /opt/stack/logs
2017-03-02 11:34:18.525 | +./stack.sh:exit_trap:511                  exit 1
edit retag flag offensive close merge delete

Comments

"Discovering versions from the identity service failed when creating the password plugin" could indicate that Keystone isn't running. Look at /opt/stack/logs/keystone.log (if I remember well) for causes. Also add your local.conf to the question.

Bernd Bausch gravatar imageBernd Bausch ( 2017-03-09 23:28:17 -0500 )edit

If you are a newbie, consider using something like Packstack for setting up a test cloud. DevStack is not for newbies in my opinion.

Bernd Bausch gravatar imageBernd Bausch ( 2017-03-09 23:28:44 -0500 )edit

Thanks Bernd for suggestion.. will try it Packstack... !!! Hope it will ge through... !!! -:)

hanuman gravatar imagehanuman ( 2017-03-13 00:52:48 -0500 )edit

1 answer

Sort by ยป oldest newest most voted
1

answered 2017-03-23 12:51:39 -0500

luz-cazares gravatar image

Ubuntu trusty (14.04) is not supported in latest devstack (pike) since feb 25. https://review.openstack.org/#/c/433218/

I would recommend to use ubuntu 16.04

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2017-03-09 11:48:57 -0500

Seen: 409 times

Last updated: Mar 23 '17